<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:lang="${#locale.language}">
<head>
    <meta charset="UTF-8">
    <title th:text="#{title.editTaskForm}">Edit task Form</title>
    <link rel="icon" href="/favicon.ico" type="image/x-icon" />
</head>
<body>
<form action="#" th:action="@{/edit}" th:object="${task}" method="post">
    <h3>
        <p>
            <label for="ID" th:text="#{label.id}">ID</label>
            <input readonly type="text" th:field="*{id}" id="ID">
        </p>
        <p>
            <label for="taskName" th:text="#{label.editName}">EDIT NAME</label>
            <input type="text" th:field="*{taskName}" id="taskName" th:placeholder="#{placeholder.enterNewName}">
        </p>
        <p>
            <label for="Description" th:text="#{label.editDescription}">EDIT DESCRIPTION</label>
            <input type="text" th:field="*{taskDescription}" id="Description" th:placeholder="#{placeholder.enterNewDescription}">
        </p>
        <p>
            <label for="Deadline" th:text="#{label.editDeadline}">EDIT DEADLINE</label>
            <input type="date" th:field="*{deadlineDate}" id="Deadline" th:placeholder="#{placeholder.datePlaceholder}">
        </p>

        <p><input type="submit" th:value="#{button.updateTask}"></p>
    </h3>
</form>
<div>
    <a th:href="@{'?locale=en'}">EN</a>
    <a th:href="@{'?locale=uk'}">UA</a>
</div>
</body>
</html>
